/*
	Lightweight module that wraps the node.js Cloud SDK and constructs instances of it per request.  If there is an active session
	you will get a cloud object that can make authenticated calls, otherwise you will have to go through the oauth flow
*/
var ThingspaceCloud = require('../sdk/dist/node/thingspace-cloud-node.min.js');

var clientKey = "1YwO5DSio9wLLMz3NhVrJxmpkH0a", //your client key here
	clientSecret = "SuW5hIBpiVUZwDiOrwgJbmRjuY0a", //your client sercet here
	callbackUrl = "http://localhost:3000/token"; //your callback url here

module.exports = function(req) {

	var access, refresh;

	//if logged in, make sure we pass access tokens so we can bypass authentication
	if(req.session.oauth) {
		access = req.session.oauth.access_token;
		refresh = req.session.oauth.refresh_token;
	}

	//create and return a new instance of the Cloud SDK with the properties above
	var cloudInstance = new ThingspaceCloud({
	    clientKey : clientKey,
	    clientSecret : clientSecret,
	    callbackUrl : callbackUrl,
	    authToken: access,
	    refreshToken: refresh,
		htmlEscape: false
	});

	//TODO FIX ME shouldnt have cloud at the end
	return cloudInstance.cloud;
};
