/*
	all routes pertaining to shares 
*/
module.exports = function(router) {
	router.get('/shares', function(req, res, next) {	
		sess=req.session;
		console.log(sess);	
		if(!sess.loggedIn) {
			res.redirect('/');
			return;
		}

		var cloud =  req.app.locals.cloud(req);		

		cloud.getShares({
			virtualfolder: "VZMOBILE",
			success: function(resp) {
				res.render('shares', { 
					cloud: cloud, 
					shares: resp.body.shares.share,
				});
			},
			failure: function(resp) {
				res.render('shares', { 
					error: "Error calling shares" 
				});
			}
		});
	});
}